import org.trinitydesktop.koala.*;
import org.trinitydesktop.qt.*;

public class Test {
  static String description = "Systemtray test application for Java";
  static String[][] options = {{ "+[File]", "image file to open", null }};
//  static String[][] options = new String[0][0];//{{ null, null, null }};

  public static void main(String[] argv){
   TDEAboutData aboutData = new TDEAboutData( "test", "Test",
         "0.1", description, TDEAboutData.License_GPL,
         "(C) 2002 Gert-Jan van der Heiden");
    TDECmdLineArgs.init( argv, aboutData );
    TDECmdLineArgs.addCmdLineOptions(options);
    System.out.println("1");
    TDEApplication app = new TDEApplication();
    System.out.println("2");
    KSystemTray systemTrayIcon = new KSystemTray(null, "test");
    System.out.println("3");
    systemTrayIcon.show();
    app.exec();
    System.exit(0);
  }
  static {
    qtjava.initialize();
    tdejava.initialize();
  }
}
